> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Api Keys

> List all API keys for the tenant.



## OpenAPI

````yaml get /api/v1/auth/api-keys
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/api-keys:
    get:
      tags:
        - auth
      summary: List Api Keys
      description: List all API keys for the tenant.
      operationId: list_api_keys_api_v1_auth_api_keys_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ApiKeyResponse'
                type: array
                title: Response List Api Keys Api V1 Auth Api Keys Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    ApiKeyResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        key_prefix:
          type: string
          title: Key Prefix
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        scopes:
          items:
            type: string
          type: array
          title: Scopes
        created_at:
          type: string
          format: date-time
          title: Created At
        expires_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires At
        last_used_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
      type: object
      required:
        - id
        - name
        - key_prefix
        - scopes
        - created_at
      title: ApiKeyResponse
      description: Response schema for API key.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````